<?xml version="1.0" ?>

<container xmlns="http://symfony.com/schema/dic/services"
           xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
           xsi:schemaLocation="http://symfony.com/schema/dic/services http://symfony.com/schema/dic/services/services-1.0.xsd">

    <services>
        <service id="Atl\DiscountExtension\Extension\Checkout\Customer\CustomerExtension">
            <tag name="shopware.entity.extension" />
        </service>

        <service id="Atl\DiscountExtension\Core\System\RepeatDiscount\RepeatDiscountDefinition">
            <tag name="shopware.entity.definition" entity="spwn_repeat_discount" />
        </service>

        <service id="Atl\DiscountExtension\Subscriber\StateMachineTransitionSubscriber">
            <argument type="service" id="Shopware\Core\System\SystemConfig\SystemConfigService" />
            <argument type="service" id="order.repository"/>
            <argument type="service" id="custom_field.repository" />
            <argument type="service" id="customer.repository" />
            <tag name="kernel.event_subscriber"/>
        </service>

        <service id="Atl\DiscountExtension\Command\CheckDiscountEligibility">
            <argument type="service" id="Shopware\Core\System\SystemConfig\SystemConfigService" />
            <argument type="service" id="spwn_repeat_discount.repository" />
            <argument type="service" id="customer_tag.repository" />
            <tag name="console.command"/>
        </service>
    </services>
</container>